No GUI configuration tool for Unity 2D

Bug #728054 reported by Joaquin on 2011-03-02
38
This bug affects 7 people
Affects Status Importance Assigned to Milestone
unity-2d
Wishlist
Unassigned
unity-2d (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: unity-2d

A simple GUI to configure Unity2D will be better, for adding settings like lights, animations, autohide, etc...

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity-2d 3.6.1-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-5.32-generic-pae 2.6.38-rc6
Uname: Linux 2.6.38-5-generic-pae i686
Architecture: i386
Date: Wed Mar 2 22:20:26 2011
InstallationMedia: elementary
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=es_ES:en
 LANG=es_ES.UTF-8
 SHELL=/bin/bash
SourcePackage: unity-2d
UpgradeStatus: Upgraded to natty on 2011-03-01 (0 days ago)

Joaquin (jknvv13) wrote :
summary: - There's no way to configure Unity 2D
+ No GUI configuration tool for Unity 2D
Changed in unity-2d (Ubuntu):
status: New → Opinion
Changed in unity-2d:
status: New → Opinion
importance: Undecided → Wishlist

There's a way to configure, with gconf-editor
But there's no GUI for do it.

2011/3/7 Florian Boucault <email address hidden>

> ** Also affects: unity-2d
> Importance: Undecided
> Status: New
>
> ** Summary changed:
>
> - There's no way to configure Unity 2D
> + No GUI configuration tool for Unity 2D
>
> ** Changed in: unity-2d (Ubuntu)
> Status: New => Opinion
>
> ** Changed in: unity-2d
> Status: New => Opinion
>
> ** Changed in: unity-2d
> Importance: Undecided => Wishlist
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/728054
>
> Title:
> No GUI configuration tool for Unity 2D
>
> Status in Unity 2D:
> Opinion
> Status in “unity-2d” package in Ubuntu:
> Opinion
>
> Bug description:
> Binary package hint: unity-2d
>
> A simple GUI to configure Unity2D will be better, for adding settings
> like lights, animations, autohide, etc...
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: unity-2d 3.6.1-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.38-5.32-generic-pae 2.6.38-rc6
> Uname: Linux 2.6.38-5-generic-pae i686
> Architecture: i386
> Date: Wed Mar 2 22:20:26 2011
> InstallationMedia: elementary
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=es_ES:en
> LANG=es_ES.UTF-8
> SHELL=/bin/bash
> SourcePackage: unity-2d
> UpgradeStatus: Upgraded to natty on 2011-03-01 (0 days ago)
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/unity-2d/+bug/728054/+subscribe
>

pranav ganorkar (pranavg-india) wrote :

Yes,it's very true.A Gui should be developed so that we can configure unity.It would be very helpful.And also it hould add support for compiz.

Olivier Tilloy (osomon) on 2011-05-11
Changed in unity-2d:
status: Opinion → Confirmed
Changed in unity-2d (Ubuntu):
status: Opinion → Confirmed
Nicholas Shatokhin (robotex) wrote :

I need to change panels size (in Unity I changed left panel's size from 48 to 32 px (I have a many icons on it) by ccsm, how to changle top panel's size I didn't find (it's too small for using on tablets by finger)). I need to disable left panel's hiding. I need to change num of desktops. In Unity its have size 2x2, in Unity 2d 1x4, so I can change desktop only by left and right buttons, not by up and down.

I'm tired of crashes and memory leaks of compiz, so I was forced to go to unity 2d.

Changed in unity-2d:
status: Confirmed → Opinion
Changed in unity-2d (Ubuntu):
status: Confirmed → Opinion
Nicholas Shatokhin (robotex) wrote :

I changed launcher icons size by this article: http://bhou.wordpress.com/2011/05/06/change-the-icon-size-in-unity-2d-launcher/
I turned off autohiding by GUI tool.
But I can't find how to grow top panel's size and virtual desktops count.

Olivier Tilloy (osomon) wrote :

@Robotex: the size of the top panel cannot be changed, it is currently hardcoded. As for the virtual desktops count and layout, see bug #778080.

Changed in unity-2d (Ubuntu):
status: Opinion → Confirmed
Changed in unity-2d:
status: Opinion → Confirmed
EricDHH (ericdhh) wrote :

amd64 maverick ubuntu-studio

As for excellent sound ubuntu forces me to use no fglrx driver, but for unity-3d i have to use fglrx. So i reverted to unity-2d and find no way but to manipulate some xml files for configuration. Thats not okay.

Adam Niedling (krychek) wrote :

It will be possible to turn the launcher's auto-hide function on and off in 12.04 so the first step towards a configuration tool was made. Other than that the description of this bug is rather vague. I think a new bug report should be opened for every feature request for unity 2d as they need some serious descussion and design decisions.

Changed in unity-2d:
status: Confirmed → Invalid
Changed in unity-2d (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers